Skip to main content
POST

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
transaction
string
required

The serialized unsigned transaction. Base64 for Solana, JSON string for EVM and Tron.

Example:

"{\"to\":\"0x000000000000000000000000000000000000dEaD\",\"value\":\"0x5af3107a4000\",\"nonce\":4,\"chainId\":11155111,\"gasLimit\":\"0x5208\",\"maxFeePerGas\":\"0x59682f00\",\"maxPriorityFeePerGas\":\"0x3b9aca00\",\"type\":2}"

reference
string

Your internal tracking ID.

Example:

"eth-transfer-001"

metadata
object

Custom key-value pairs stored with the transaction record.

Example:

Response

Transaction signed successfully

statusCode
number
Example:

200

message
string
Example:

"Transaction signed successfully"

data
object